#### D.5.2.35 toddE

Procedure from library `chern.lib` (see chern_lib).

Usage:
  toddE(l); l a list of polynomials

Return:
  polynomial

Purpose:
  computes the highest relevant term of the Todd class

Note:
  returns an empty list if l is empty,
  very inefficient because the elimination is used, included for comparison with todd(c)

Example:

    LIB "chern.lib";
    // first  3 terms of the Todd class in terms of the Chern classes c(1), c(2), c(3)
    ring r=0, (c(1..3)), dp;
    list l;
    //first term
    l=c(1);
    print( toddE( l ) );
    // second term
    l=c(1..2);
    print( toddE( l ) );
    // third term
    l=c(1..3);
    print( toddE( l ) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.